> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiplayer Server Details

> Gets multiplayer server session details for a build.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/GetMultiplayerServerDetails
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/GetMultiplayerServerDetails:
    post:
      tags:
        - MultiplayerServer
      summary: Get Multiplayer Server Details
      description: |
        Gets multiplayer server session details for a build.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | APINotEnabledForGameClientAccess | 1082 |
        | MultiplayerServerBadRequest | 1382 |
        | MultiplayerServerForbidden | 1384 |
        | MultiplayerServerInternalServerError | 1387 |
        | MultiplayerServerNotFound | 1385 |
        | MultiplayerServerUnauthorized | 1383 |
        | MultiplayerServerUnavailable | 1388 |
        | ProductDisabledForTitle | 1609 |
      operationId: GetMultiplayerServerDetails
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMultiplayerServerDetailsRequest'
        description: >-
          Gets multiplayer server session details for a build in a specific
          region.
      responses:
        '200':
          $ref: '#/components/responses/GetMultiplayerServerDetailsResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetMultiplayerServerDetailsRequest:
      description: >-
        Gets multiplayer server session details for a build in a specific
        region.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        SessionId:
          description: >-
            The title generated guid string session ID of the multiplayer server
            to get details for. This is to keep track of multiplayer server
            sessions.
          type: string
      required:
        - SessionId
      example:
        SessionId: 02bdef0e-e01e-4b29-8efe-ff9f47a06d8c
    GetMultiplayerServerDetailsResponse:
      type: object
      properties:
        BuildId:
          description: The identity of the build in which the server was allocated.
          type: string
        ConnectedPlayers:
          description: The connected players in the multiplayer server.
          type: array
          items:
            $ref: '#/components/schemas/ConnectedPlayer'
          x-isclass: true
        FQDN:
          description: >-
            The fully qualified domain name of the virtual machine that is
            hosting this multiplayer server.
          type: string
        IPV4Address:
          description: >-
            The public IPv4 address of the virtual machine that is hosting this
            multiplayer server.
          type: string
        LastStateTransitionTime:
          description: >-
            The time (UTC) at which a change in the multiplayer server state was
            observed.
          type: string
        Ports:
          description: The ports the multiplayer server uses.
          type: array
          items:
            $ref: '#/components/schemas/Port'
          x-isclass: true
        PublicIPV4Addresses:
          description: The list of public Ipv4 addresses associated with the server.
          type: array
          items:
            $ref: '#/components/schemas/PublicIpAddress'
          x-isclass: true
        Region:
          allOf:
            - $ref: '#/components/schemas/AzureRegion'
          description: The region the multiplayer server is located in.
        ServerId:
          description: The string server ID of the multiplayer server generated by PlayFab.
          type: string
        SessionId:
          description: The guid string session ID of the multiplayer server.
          type: string
        State:
          description: The state of the multiplayer server.
          type: string
        VmId:
          description: The virtual machine ID that the multiplayer server is located on.
          type: string
      example:
        SessionId: 02bdef0e-e01e-4b29-8efe-ff9f47a06d8c
        ServerId: AMultiplayerGameServer
        VmId: VmID1
        IPV4Address: 10.250.24.54
        FQDN: vmId1.azure.cloudapp.net
        Ports:
          - Name: PortName
            Num: 1243
        Region: SouthCentralUs
        State: Active
        ConnectedPlayers:
          - PlayerId: '10931352888739351331'
          - PlayerId: '10271352123739051532'
        BuildId: 4da1a0f6-7e36-430c-a264-723ff6a605de
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    ConnectedPlayer:
      type: object
      properties:
        PlayerId:
          description: The player ID of the player connected to the multiplayer server.
          type: string
    Port:
      type: object
      properties:
        Name:
          description: The name for the port.
          type: string
        Num:
          description: The number for the port.
          type: number
          x-actualtype: int32
        Protocol:
          allOf:
            - $ref: '#/components/schemas/ProtocolType'
          description: The protocol for the port.
      required:
        - Name
        - Num
        - Protocol
    PublicIpAddress:
      type: object
      properties:
        FQDN:
          description: FQDN of the public IP
          type: string
        IpAddress:
          description: Server IP Address
          type: string
        RoutingType:
          allOf:
            - $ref: '#/components/schemas/RoutingType'
          description: Routing Type of the public IP.
      required:
        - IpAddress
        - FQDN
        - RoutingType
    AzureRegion:
      type: string
      enum:
        - AustraliaEast
        - AustraliaSoutheast
        - BrazilSouth
        - CentralUs
        - EastAsia
        - EastUs
        - EastUs2
        - JapanEast
        - JapanWest
        - NorthCentralUs
        - NorthEurope
        - SouthCentralUs
        - SoutheastAsia
        - WestEurope
        - WestUs
        - SouthAfricaNorth
        - WestCentralUs
        - KoreaCentral
        - FranceCentral
        - WestUs2
        - CentralIndia
        - UaeNorth
        - UkSouth
        - SwedenCentral
        - CanadaCentral
        - MexicoCentral
        - WestUs3
        - CanadaEast
        - UkWest
        - FranceSouth
        - SouthIndia
        - SpainCentral
        - GermanyWestCentral
        - ItalyNorth
        - IndonesiaCentral
        - ChileCentral
        - PolandCentral
        - NewZealandNorth
        - BrazilSoutheast
        - NorwayEast
        - SwitzerlandNorth
        - MalaysiaWest
        - IsraelCentral
        - QatarCentral
        - UaeCentral
        - GermanyNorth
        - AustriaEast
        - BelgiumCentral
        - DenmarkEast
        - SwitzerlandWest
        - SwedenSouth
        - NorwayWest
        - SouthAfricaWest
        - MalaysiaSouth
    ProtocolType:
      type: string
      enum:
        - TCP
        - UDP
    RoutingType:
      type: string
      enum:
        - Microsoft
        - Internet
  responses:
    GetMultiplayerServerDetailsResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetMultiplayerServerDetailsResponse'
            example:
              code: 200
              status: OK
              data:
                SessionId: 02bdef0e-e01e-4b29-8efe-ff9f47a06d8c
                ServerId: AMultiplayerGameServer
                VmId: VmID1
                IPV4Address: 10.250.24.54
                FQDN: vmId1.azure.cloudapp.net
                Ports:
                  - Name: PortName
                    Num: 1243
                Region: SouthCentralUs
                State: Active
                ConnectedPlayers:
                  - PlayerId: '10931352888739351331'
                  - PlayerId: '10271352123739051532'
                BuildId: 4da1a0f6-7e36-430c-a264-723ff6a605de
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Multiplayer Server Details](/services/playfab/api-references/rest/multiplayer/multiplayer-server/get-multiplayer-server-details.md)
- [PFMultiplayerServerRequestMultiplayerServerAsync](/services/playfab/api-references/c/pfmultiplayerserver/functions/pfmultiplayerserverrequestmultiplayerserverasync.md)
- [MultiplayerServerDetails struct](/services/playfab/multiplayer/lobby/unity-multiplayer-api-reference/PlayFab.Multiplayer/MultiplayerServerDetails/overview.md)
- [MultiplayerServerDetails](/services/playfab/multiplayer/lobby/unity-multiplayer-api-reference/PlayFab.Multiplayer/MultiplayerServerDetails/MultiplayerServerDetails.md)
- [PFMultiplayerServerDetails](/services/playfab/multiplayer/lobby/playfabmultiplayerreference-cpp/pfmatchmaking/structs/pfmultiplayerserverdetails.md)
